> ## Documentation Index
> Fetch the complete documentation index at: https://docs-grosh.muathye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a contact



## OpenAPI

````yaml https://grosh.muathye.com/api/openapi.json put /contacts/{id}
openapi: 3.1.0
info:
  title: Grosh API
  version: 1.0.0
  description: >-
    Contacts, Obligations, Budgeting, and Authentication API for the
    application.
servers:
  - url: https://grosh.muathye.com/api
security:
  - bearerAuth: []
  - cookieAuth: []
paths:
  /contacts/{id}:
    put:
      summary: Update a contact
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Contact'
components:
  schemas:
    ContactRequest:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          maxLength: 150
        phone:
          type:
            - string
            - 'null'
          maxLength: 50
        email:
          type:
            - string
            - 'null'
          format: email
          maxLength: 150
        notes:
          type:
            - string
            - 'null'
    Contact:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        phone:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
          format: email
        notes:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    cookieAuth:
      type: apiKey
      in: cookie
      name: grosh-session

````